import React from 'react';
import { IconsData } from '../hooks/useGithubAutomatedRepos';
/**
 * @param {string} itemTopics - Mandatory: ex.: item.topics.map(itemTopics) ...
 * @param {string} className - Optional: style className.
 * @returns {<img/>} - Return tag img, stack svg icon.
 */
export function StackIcons({ itemTopics, className }) {
    const { stackIcons, projectIcons } = IconsData();
    return itemTopics === 'deploy' || projectIcons[itemTopics] ? (React.createElement(React.Fragment, null, " ")) : (React.createElement("img", { className: className, alt: stackIcons[itemTopics], src: stackIcons[itemTopics] }));
}
